Subject: Re: bug#70357: 30.0.50; loadup.el, load nadvice before seq

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Apr 2024 12:29:11 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 13 Apr 2024 09:39:10 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> If seq.el, the source file, is loaded from loadup, these functions are
> >> not yet compiled. If seq.elc is loaded, the functions are apparently
> >> already compiled, and a warning is emitted.
> >
> > How to create this situation?
> 
> I get that regularly when I make changes in some .c file, build in src,
> which builds a new temacs, and so on, and all while seq.elc exists.

Strange.  I just tried to reproduce this, but couldn't.  I did
"touch src/data.c", then "make", and I see no problem.  Moreover,
loadup says

  Loading emacs-lisp/seq...

both when it dumps bootstrap-emacs and when it dumps emacs, and that
means it loads seq.elc, not seq.el.

So there's something else here we are missing, I suppose.